<!DOCTYPE style-sheet PUBLIC "-//James Clark//DTD DSSSL Style Sheet//EN" [
<!ENTITY % ptbr.words
  PUBLIC "-//Norman Walsh//ENTITIES DocBook Stylesheet Localization//PTBR"
         "dbl1ptbr.ent">
%ptbr.words;
]>

<style-sheet>
<style-specification id="docbook-l10n-ptbr">
<style-specification-body>

;; $Id: dbl1ptbr.dsl,v 1.2 2000/01/14 14:27:27 nwalsh Exp $
;;
;; This file is part of the Modular DocBook Stylesheet distribution.
;; See ../README or http://nwalsh.com/docbook/dsssl/
;;

;; ----------------------------- Localization -----------------------------

;; If you create a new version of this file, please send it to
;; Norman Walsh, ndw@nwalsh.com

;; The generated text for cross references to elements.  See dblink.dsl
;; for a discussion of how substitution is performed on the %x
;; keywords.
;;

(define (ptbr-appendix-xref-string gi-or-name)
  (if %chapter-autolabel%
      "&Appendix; %n"
      "o &appendix; %t"))

(define (ptbr-article-xref-string gi-or-name)
  (string-append %gentext-ptbr-start-quote%
		 "%t"
		 %gentext-ptbr-end-quote%))

(define (ptbr-bibliography-xref-string gi-or-name)
  "%t")

(define (ptbr-book-xref-string gi-or-name)
  "%t")

(define (ptbr-chapter-xref-string gi-or-name)
  (if %chapter-autolabel%
      "&Chapter; %n"
      "o &chapter; %t"))

(define (ptbr-equation-xref-string gi-or-name)
  "&Equation; %n")

(define (ptbr-example-xref-string gi-or-name)
  "&Example; %n")

(define (ptbr-figure-xref-string gi-or-name)
  "&Figure; %n")

(define (ptbr-listitem-xref-string gi-or-name)
  "%n")

(define (ptbr-part-xref-string gi-or-name)
  "&Part; %n")

(define (ptbr-preface-xref-string gi-or-name)
  "%t")

(define (ptbr-procedure-xref-string gi-or-name)
  "&Procedure; %n, %t")

(define (ptbr-section-xref-string gi-or-name)
  (if %section-autolabel% 
      "&Section; %n" 
      "a &section; %t"))

(define (ptbr-sect1-xref-string gi-or-name)
  (ptbr-section-xref-string gi-or-name))

(define (ptbr-sect2-xref-string gi-or-name)
  (ptbr-section-xref-string gi-or-name))

(define (ptbr-sect3-xref-string gi-or-name)
  (ptbr-section-xref-string gi-or-name))

(define (ptbr-sect4-xref-string gi-or-name)
  (ptbr-section-xref-string gi-or-name))

(define (ptbr-sect5-xref-string gi-or-name)
  (ptbr-section-xref-string gi-or-name))

(define (ptbr-step-xref-string gi-or-name)
  "&step; %n")

(define (ptbr-table-xref-string gi-or-name)
  "&Table; %n")

(define (ptbr-default-xref-string gi-or-name)
  (let* ((giname (if (string? gi-or-name) gi-or-name (gi gi-or-name)))
	 (msg    (string-append "[&xrefto; "
				(if giname giname "&nonexistantelement;")
				" &unsupported;]"))
	 (err    (node-list-error msg (current-node))))
    msg))

(define (gentext-ptbr-xref-strings gind)
  (let* ((giname (if (string? gind) gind (gi gind)))
	 (name   (normalize giname)))
    (cond
      ((equal? name (normalize "appendix")) (ptbr-appendix-xref-string gind))
      ((equal? name (normalize "article"))  (ptbr-article-xref-string gind))
      ((equal? name (normalize "bibliography")) (ptbr-bibliography-xref-string gind))
      ((equal? name (normalize "book"))     (ptbr-book-xref-string gind))
      ((equal? name (normalize "chapter"))  (ptbr-chapter-xref-string gind))
      ((equal? name (normalize "equation")) (ptbr-equation-xref-string gind))
      ((equal? name (normalize "example"))  (ptbr-example-xref-string gind))
      ((equal? name (normalize "figure"))   (ptbr-figure-xref-string gind))
      ((equal? name (normalize "listitem")) (ptbr-listitem-xref-string gind))
      ((equal? name (normalize "part"))     (ptbr-part-xref-string gind))
      ((equal? name (normalize "preface"))  (ptbr-preface-xref-string gind))
      ((equal? name (normalize "procedure")) (ptbr-procedure-xref-string gind))
      ((equal? name (normalize "sect1"))    (ptbr-sect1-xref-string gind))
      ((equal? name (normalize "sect2"))    (ptbr-sect2-xref-string gind))
      ((equal? name (normalize "sect3"))    (ptbr-sect3-xref-string gind))
      ((equal? name (normalize "sect4"))    (ptbr-sect4-xref-string gind))
      ((equal? name (normalize "sect5"))    (ptbr-sect5-xref-string gind))
      ((equal? name (normalize "step"))     (ptbr-step-xref-string gind))
      ((equal? name (normalize "table"))    (ptbr-table-xref-string gind))
      (else (ptbr-default-xref-string gind)))))

(define (ptbr-auto-xref-indirect-connector before) 
  (literal " &in; "))

;; Should the TOC come first or last?
;;
(define %generate-ptbr-toc-in-front% #t)

;; gentext-element-name returns the generated text that should be 
;; used to make reference to the selected element.
;;
(define ptbr-abstract-name	"&Abstract;")
(define ptbr-appendix-name	"&Appendix;")
(define ptbr-article-name	"&Article;")
(define ptbr-bibliography-name	"&Bibliography;")
(define ptbr-book-name		"&Book;")
(define ptbr-calloutlist-name	"")
(define ptbr-caution-name	"&Caution;")
(define ptbr-chapter-name	"&Chapter;")
(define ptbr-copyright-name	"&Copyright;")
(define ptbr-dedication-name	"&Dedication;")
(define ptbr-edition-name	"&Edition;")
(define ptbr-equation-name	"&Equation;")
(define ptbr-example-name	"&Example;")
(define ptbr-figure-name	"&Figure;")
(define ptbr-glossary-name	"&Glossary;")
(define ptbr-glosssee-name	"&GlossSee;")
(define ptbr-glossseealso-name	"&GlossSeeAlso;")
(define ptbr-important-name	"&Important;")
(define ptbr-index-name		"&Index;")
(define ptbr-setindex-name	"&SetIndex;")
(define ptbr-isbn-name		"&ISBN;")
(define ptbr-legalnotice-name	"&LegalNotice;")
(define ptbr-msgaud-name	"&MsgAud;")
(define ptbr-msglevel-name	"&MsgLevel;")
(define ptbr-msgorig-name	"&MsgOrig;")
(define ptbr-note-name		"&Note;")
(define ptbr-part-name		"&Part;")
(define ptbr-preface-name	"&Preface;")
(define ptbr-procedure-name	"&Procedure;")
(define ptbr-pubdate-name	"&Published;")
(define ptbr-reference-name	"&Reference;")
(define ptbr-refname-name	"&RefName;")
(define ptbr-revhistory-name	"&RevHistory;")
(define ptbr-revision-name	"&Revision;")
(define ptbr-sect1-name		"&Section;")
(define ptbr-sect2-name		"&Section;")
(define ptbr-sect3-name		"&Section;")
(define ptbr-sect4-name		"&Section;")
(define ptbr-sect5-name		"&Section;")
(define ptbr-simplesect-name	"&Section;")
(define ptbr-seeie-name		"&See;")
(define ptbr-seealsoie-name	"&Seealso;")
(define ptbr-set-name		"&Set;")
(define ptbr-sidebar-name	"&Sidebar;")
(define ptbr-step-name		"&step;")
(define ptbr-table-name		"&Table;")
(define ptbr-tip-name		"&Tip;")
(define ptbr-toc-name		"&TableofContents;")
(define ptbr-warning-name	"&Warning;")

(define (gentext-ptbr-element-name gind)
  (let* ((giname (if (string? gind) gind (gi gind)))
	 (name   (normalize giname)))
    (cond
     ((equal? name (normalize "abstract"))	ptbr-abstract-name)
     ((equal? name (normalize "appendix"))	ptbr-appendix-name)
     ((equal? name (normalize "article"))	ptbr-article-name)
     ((equal? name (normalize "bibliography"))	ptbr-bibliography-name)
     ((equal? name (normalize "book"))		ptbr-book-name)
     ((equal? name (normalize "calloutlist"))	ptbr-calloutlist-name)
     ((equal? name (normalize "caution"))	ptbr-caution-name)
     ((equal? name (normalize "chapter"))	ptbr-chapter-name)
     ((equal? name (normalize "copyright"))	ptbr-copyright-name)
     ((equal? name (normalize "dedication"))	ptbr-dedication-name)
     ((equal? name (normalize "edition"))	ptbr-edition-name)
     ((equal? name (normalize "equation"))	ptbr-equation-name)
     ((equal? name (normalize "example"))	ptbr-example-name)
     ((equal? name (normalize "figure"))	ptbr-figure-name)
     ((equal? name (normalize "glossary"))	ptbr-glossary-name)
     ((equal? name (normalize "glosssee"))	ptbr-glosssee-name)
     ((equal? name (normalize "glossseealso"))	ptbr-glossseealso-name)
     ((equal? name (normalize "important"))	ptbr-important-name)
     ((equal? name (normalize "index"))		ptbr-index-name)
     ((equal? name (normalize "setindex"))	ptbr-setindex-name)
     ((equal? name (normalize "isbn"))		ptbr-isbn-name)
     ((equal? name (normalize "legalnotice"))	ptbr-legalnotice-name)
     ((equal? name (normalize "msgaud"))	ptbr-msgaud-name)
     ((equal? name (normalize "msglevel"))	ptbr-msglevel-name)
     ((equal? name (normalize "msgorig"))	ptbr-msgorig-name)
     ((equal? name (normalize "note"))		ptbr-note-name)
     ((equal? name (normalize "part"))		ptbr-part-name)
     ((equal? name (normalize "preface"))	ptbr-preface-name)
     ((equal? name (normalize "procedure"))	ptbr-procedure-name)
     ((equal? name (normalize "pubdate"))	ptbr-pubdate-name)
     ((equal? name (normalize "reference"))	ptbr-reference-name)
     ((equal? name (normalize "refname"))	ptbr-refname-name)
     ((equal? name (normalize "revhistory"))	ptbr-revhistory-name)
     ((equal? name (normalize "revision"))	ptbr-revision-name)
     ((equal? name (normalize "sect1"))		ptbr-sect1-name)
     ((equal? name (normalize "sect2"))		ptbr-sect2-name)
     ((equal? name (normalize "sect3"))		ptbr-sect3-name)
     ((equal? name (normalize "sect4"))		ptbr-sect4-name)
     ((equal? name (normalize "sect5"))		ptbr-sect5-name)
     ((equal? name (normalize "simplesect"))    ptbr-simplesect-name)
     ((equal? name (normalize "seeie"))		ptbr-seeie-name)
     ((equal? name (normalize "seealsoie"))	ptbr-seealsoie-name)
     ((equal? name (normalize "set"))		ptbr-set-name)
     ((equal? name (normalize "sidebar"))	ptbr-sidebar-name)
     ((equal? name (normalize "step"))		ptbr-step-name)
     ((equal? name (normalize "table"))		ptbr-table-name)
     ((equal? name (normalize "tip"))		ptbr-tip-name)
     ((equal? name (normalize "toc"))		ptbr-toc-name)
     ((equal? name (normalize "warning"))	ptbr-warning-name)
     (else (let* ((msg (string-append "&unexpectedelementname;: " name))
		  (err (node-list-error msg (current-node))))
	     msg)))))

;; gentext-element-name-space returns gentext-element-name with a 
;; trailing space, if gentext-element-name isn't "".
;;
(define (gentext-ptbr-element-name-space giname)
  (string-with-space (gentext-element-name giname)))

;; gentext-intra-label-sep returns the seperator to be inserted
;; between multiple occurances of a label (or parts of a label)
;; for the specified element.  Most of these are for enumerated
;; labels like "Figure 2-4", but this function is used elsewhere
;; (e.g. REFNAME) with a little abuse.
;;

(define ptbr-equation-intra-label-sep ".")
(define ptbr-example-intra-label-sep ".")
(define ptbr-figure-intra-label-sep ".")
(define ptbr-procedure-intra-label-sep ".")
(define ptbr-refentry-intra-label-sep ".")
(define ptbr-reference-intra-label-sep ".")
(define ptbr-refname-intra-label-sep ", ")
(define ptbr-refsect1-intra-label-sep ".")
(define ptbr-refsect2-intra-label-sep ".")
(define ptbr-refsect3-intra-label-sep ".")
(define ptbr-sect1-intra-label-sep ".")
(define ptbr-sect2-intra-label-sep ".")
(define ptbr-sect3-intra-label-sep ".")
(define ptbr-sect4-intra-label-sep ".")
(define ptbr-sect5-intra-label-sep ".")
(define ptbr-step-intra-label-sep ".")
(define ptbr-table-intra-label-sep ".")
(define ptbr-_pagenumber-intra-label-sep ".")
(define ptbr-default-intra-label-sep ".")

(define (gentext-ptbr-intra-label-sep gind)
  (let* ((giname (if (string? gind) gind (gi gind)))
	 (name   (normalize giname)))
    (cond
     ((equal? name (normalize "equation"))	ptbr-equation-intra-label-sep)
     ((equal? name (normalize "example"))	ptbr-example-intra-label-sep)
     ((equal? name (normalize "figure"))	ptbr-figure-intra-label-sep)
     ((equal? name (normalize "procedure"))	ptbr-procedure-intra-label-sep)
     ((equal? name (normalize "refentry"))	ptbr-refentry-intra-label-sep)
     ((equal? name (normalize "reference"))	ptbr-reference-intra-label-sep)
     ((equal? name (normalize "refname"))	ptbr-refname-intra-label-sep)
     ((equal? name (normalize "refsect1"))	ptbr-refsect1-intra-label-sep)
     ((equal? name (normalize "refsect2"))	ptbr-refsect2-intra-label-sep)
     ((equal? name (normalize "refsect3"))	ptbr-refsect3-intra-label-sep)
     ((equal? name (normalize "sect1"))		ptbr-sect1-intra-label-sep)
     ((equal? name (normalize "sect2"))		ptbr-sect2-intra-label-sep)
     ((equal? name (normalize "sect3"))		ptbr-sect3-intra-label-sep)
     ((equal? name (normalize "sect4"))		ptbr-sect4-intra-label-sep)
     ((equal? name (normalize "sect5"))		ptbr-sect5-intra-label-sep)
     ((equal? name (normalize "step"))		ptbr-step-intra-label-sep)
     ((equal? name (normalize "table"))		ptbr-table-intra-label-sep)
     ((equal? name (normalize "_pagenumber"))	ptbr-_pagenumber-intra-label-sep)
     (else ptbr-default-intra-label-sep))))

;; gentext-label-title-sep returns the seperator to be inserted
;; between a label and the text following the label for the
;; specified element.  Most of these are for use between
;; enumerated labels and titles like "1. Chapter One Title", but
;; this function is used elsewhere (e.g. NOTE) with a little
;; abuse.
;;

(define ptbr-abstract-label-title-sep ": ")
(define ptbr-appendix-label-title-sep ". ")
(define ptbr-caution-label-title-sep "")
(define ptbr-chapter-label-title-sep ". ")
(define ptbr-equation-label-title-sep ". ")
(define ptbr-example-label-title-sep ". ")
(define ptbr-figure-label-title-sep ". ")
(define ptbr-footnote-label-title-sep ". ")
(define ptbr-glosssee-label-title-sep ": ")
(define ptbr-glossseealso-label-title-sep ": ")
(define ptbr-important-label-title-sep ": ")
(define ptbr-note-label-title-sep ": ")
(define ptbr-orderedlist-label-title-sep ". ")
(define ptbr-part-label-title-sep ". ")
(define ptbr-procedure-label-title-sep ". ")
(define ptbr-prefix-label-title-sep ". ")
(define ptbr-refentry-label-title-sep "")
(define ptbr-reference-label-title-sep ". ")
(define ptbr-refsect1-label-title-sep ". ")
(define ptbr-refsect2-label-title-sep ". ")
(define ptbr-refsect3-label-title-sep ". ")
(define ptbr-sect1-label-title-sep ". ")
(define ptbr-sect2-label-title-sep ". ")
(define ptbr-sect3-label-title-sep ". ")
(define ptbr-sect4-label-title-sep ". ")
(define ptbr-sect5-label-title-sep ". ")
(define ptbr-seeie-label-title-sep " ")
(define ptbr-seealsoie-label-title-sep " ")
(define ptbr-step-label-title-sep ". ")
(define ptbr-table-label-title-sep ". ")
(define ptbr-tip-label-title-sep ": ")
(define ptbr-warning-label-title-sep "")
(define ptbr-default-label-title-sep "")

(define (gentext-ptbr-label-title-sep gind)
  (let* ((giname (if (string? gind) gind (gi gind)))
	 (name   (normalize giname)))
    (cond
     ((equal? name (normalize "abstract")) ptbr-abstract-label-title-sep)
     ((equal? name (normalize "appendix")) ptbr-appendix-label-title-sep)
     ((equal? name (normalize "caution")) ptbr-caution-label-title-sep)
     ((equal? name (normalize "chapter")) ptbr-chapter-label-title-sep)
     ((equal? name (normalize "equation")) ptbr-equation-label-title-sep)
     ((equal? name (normalize "example")) ptbr-example-label-title-sep)
     ((equal? name (normalize "figure")) ptbr-figure-label-title-sep)
     ((equal? name (normalize "footnote")) ptbr-footnote-label-title-sep)
     ((equal? name (normalize "glosssee")) ptbr-glosssee-label-title-sep)
     ((equal? name (normalize "glossseealso")) ptbr-glossseealso-label-title-sep)
     ((equal? name (normalize "important")) ptbr-important-label-title-sep)
     ((equal? name (normalize "note")) ptbr-note-label-title-sep)
     ((equal? name (normalize "orderedlist")) ptbr-orderedlist-label-title-sep)
     ((equal? name (normalize "part")) ptbr-part-label-title-sep)
     ((equal? name (normalize "procedure")) ptbr-procedure-label-title-sep)
     ((equal? name (normalize "prefix")) ptbr-prefix-label-title-sep)
     ((equal? name (normalize "refentry")) ptbr-refentry-label-title-sep)
     ((equal? name (normalize "reference")) ptbr-reference-label-title-sep)
     ((equal? name (normalize "refsect1")) ptbr-refsect1-label-title-sep)
     ((equal? name (normalize "refsect2")) ptbr-refsect2-label-title-sep)
     ((equal? name (normalize "refsect3")) ptbr-refsect3-label-title-sep)
     ((equal? name (normalize "sect1")) ptbr-sect1-label-title-sep)
     ((equal? name (normalize "sect2")) ptbr-sect2-label-title-sep)
     ((equal? name (normalize "sect3")) ptbr-sect3-label-title-sep)
     ((equal? name (normalize "sect4")) ptbr-sect4-label-title-sep)
     ((equal? name (normalize "sect5")) ptbr-sect5-label-title-sep)
     ((equal? name (normalize "seeie")) ptbr-seeie-label-title-sep)
     ((equal? name (normalize "seealsoie")) ptbr-seealsoie-label-title-sep)
     ((equal? name (normalize "step")) ptbr-step-label-title-sep)
     ((equal? name (normalize "table")) ptbr-table-label-title-sep)
     ((equal? name (normalize "tip")) ptbr-tip-label-title-sep)
     ((equal? name (normalize "warning")) ptbr-warning-label-title-sep)
     (else ptbr-default-label-title-sep))))

(define (ptbr-set-label-number-format gind) "1")
(define (ptbr-book-label-number-format gind) "1")
(define (ptbr-prefix-label-number-format gind) "1")
(define (ptbr-part-label-number-format gind) "I")
(define (ptbr-chapter-label-number-format gind) "1")
(define (ptbr-appendix-label-number-format gind) "A")
(define (ptbr-reference-label-number-format gind) "I")
(define (ptbr-example-label-number-format gind) "1")
(define (ptbr-figure-label-number-format gind) "1")
(define (ptbr-table-label-number-format gind) "1")
(define (ptbr-procedure-label-number-format gind) "1")
(define (ptbr-step-label-number-format gind) "1")
(define (ptbr-refsect1-label-number-format gind) "1")
(define (ptbr-refsect2-label-number-format gind) "1")
(define (ptbr-refsect3-label-number-format gind) "1")
(define (ptbr-sect1-label-number-format gind) "1")
(define (ptbr-sect2-label-number-format gind) "1")
(define (ptbr-sect3-label-number-format gind) "1")
(define (ptbr-sect4-label-number-format gind) "1")
(define (ptbr-sect5-label-number-format gind) "1")
(define (ptbr-default-label-number-format gind) "1")

(define (ptbr-label-number-format gind)
  (let* ((giname (if (string? gind) gind (gi gind)))
	 (name   (normalize giname)))
    (cond
     ((equal? name (normalize "set")) (ptbr-set-label-number-format gind))
     ((equal? name (normalize "book")) (ptbr-book-label-number-format gind))
     ((equal? name (normalize "prefix")) (ptbr-prefix-label-number-format gind))
     ((equal? name (normalize "part")) (ptbr-part-label-number-format gind))
     ((equal? name (normalize "chapter")) (ptbr-chapter-label-number-format gind))
     ((equal? name (normalize "appendix")) (ptbr-appendix-label-number-format gind))
     ((equal? name (normalize "reference")) (ptbr-reference-label-number-format gind))
     ((equal? name (normalize "example")) (ptbr-example-label-number-format gind))
     ((equal? name (normalize "figure")) (ptbr-figure-label-number-format gind))
     ((equal? name (normalize "table")) (ptbr-table-label-number-format gind))
     ((equal? name (normalize "procedure")) (ptbr-procedure-label-number-format gind))
     ((equal? name (normalize "step")) (ptbr-step-label-number-format gind))
     ((equal? name (normalize "refsect1")) (ptbr-refsect1-label-number-format gind))
     ((equal? name (normalize "refsect2")) (ptbr-refsect2-label-number-format gind))
     ((equal? name (normalize "refsect3")) (ptbr-refsect3-label-number-format gind))
     ((equal? name (normalize "sect1")) (ptbr-sect1-label-number-format gind))
     ((equal? name (normalize "sect2")) (ptbr-sect2-label-number-format gind))
     ((equal? name (normalize "sect3")) (ptbr-sect3-label-number-format gind))
     ((equal? name (normalize "sect4")) (ptbr-sect4-label-number-format gind))
     ((equal? name (normalize "sect5")) (ptbr-sect5-label-number-format gind))
     (else (ptbr-default-label-number-format gind)))))

(define ($lot-title-ptbr$ gind)
  (let* ((giname (if (string? gind) gind (gi gind)))
	 (name   (normalize giname)))
    (cond ((equal? name (normalize "table"))    "&ListofTables;")
	  ((equal? name (normalize "example"))  "&ListofExamples;")
	  ((equal? name (normalize "figure"))   "&ListofFigures;")
	  ((equal? name (normalize "equation")) "&ListofEquations;")
	  (else (let* ((msg (string-append "&ListofUnknown;: " name))
		       (err (node-list-error msg (current-node))))
		  msg)))))

(define %gentext-ptbr-start-quote% (dingbat "ldquo"))

(define %gentext-ptbr-end-quote% (dingbat "rdquo"))

(define %gentext-ptbr-start-nested-quote% (dingbat "lsquo"))

(define %gentext-ptbr-end-nested-quote% (dingbat "rsquo"))

(define %gentext-ptbr-by% "&by;") ;; e.g. Copyright 1997 "by" A. Nonymous
                           ;; Authored "by" Jane Doe

(define %gentext-ptbr-edited-by% "&Editedby;")
                           ;; "Edited by" Jane Doe

(define %gentext-ptbr-revised-by% "&Revisedby;")
                           ;; "Revised by" Jane Doe

(define %gentext-ptbr-page% "")

(define %gentext-ptbr-and% "&and;")

(define %gentext-ptbr-bibl-pages% "&Pgs;")

(define %gentext-ptbr-endnotes% "&Notes;")

(define %gentext-ptbr-table-endnotes% "&TableNotes;:")

(define %gentext-ptbr-index-see% "&See;")

(define %gentext-ptbr-index-seealso% "&SeeAlso;")


(define (gentext-ptbr-nav-prev prev) 
  (make sequence (literal "&nav-prev;")))

(define (gentext-ptbr-nav-prev-sibling prevsib) 
  (make sequence (literal "&nav-prev-sibling;")))

(define (gentext-ptbr-nav-next-sibling nextsib)
  (make sequence (literal "&nav-next-sibling;")))

(define (gentext-ptbr-nav-next next)
  (make sequence (literal "&nav-next;")))

(define (gentext-ptbr-nav-up up)
  (make sequence (literal "&nav-up;")))

(define (gentext-ptbr-nav-home home)
  (make sequence (literal "&nav-home;")))


</style-specification-body>
</style-specification>
</style-sheet>
